import os
import xml.etree.ElementTree as ET


def test():
    tree = ET.parse("../res/XML/BodyModel.define.xml")
    root = tree.getroot()

    missing_nicenames = []
    for child in root:
        if "DRIVER" in child.attrib["name"]:
            if "nicename" not in child.attrib:
                missing_nicenames.append((child.tag, "    ", child.attrib["name"]))

    if len(missing_nicenames):
        print(
            "==============================WARNING====================================="
        )
        print(
            "There are missing nicenames in the XML file for the following parameters: "
        )
        print("\n")
        for element in missing_nicenames:
            print(element)
        print("\n")
        print(
            "=========================================================================="
        )
